'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reduxObservable = reduxObservable;

var _Subject = require('rxjs/Subject');

var _from = require('rxjs/observable/from');

var _actionsObservable = require('./actions-observable');

function reduxObservable() {
  var actions = new _Subject.Subject();
  var actionsObs = new _actionsObservable.ActionsObservable(actions);

  var middleware = function middleware(store) {
    return function (next) {
      return function (action) {
        if (typeof action === 'function') {
          var obs = (0, _from.from)(action(actionsObs, store));
          var sub = obs.subscribe(next);
          return sub;
        } else {
          actions.next(action);
          return next(action);
        }
      };
    };
  };

  return middleware;
}